function hwait=waitbarc(PLOT,val,hwait,varargin)
%waitbarc - plot conditional waitbar
% 
% CALL
%     hwait=waitbarc(PLOT,val,hwait,varargin)
%     
% INPUT
%     PLOT  : plot waitbar if 1
%     val   : display value
%     hwait : handle
%     str   : title
%     
% OUTPUT
%     hwait: handle
%     
% EXAMPLE
%     tic
%     hwait=[];
%     for k=1:L
%         hwait=waitbarc(toc>5,1/L,hwait,'loop')
%         < ... >
%     end
%     close(hwait);
% SEE ALSO
%     shiftup

if ~PLOT
	return
end

if hwait
	%waitbar is already there
	waitbar(val,hwait,varargin{:});
else
	%waitbar is not yet there
	hwait=waitbar(val,varargin{:});
end    
